/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here... */

.wpd-header-address-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-end;
    align-items: center;
    position: relative;
    color: black;
    font-family: 'M PLUS 2';
}

.wpd-header-address-container a {
    color: black;
    text-decoration: none;
    transition: all 500ms ease;
}


.wpd-header-address {
    display: block;
    position: relative;
    text-align: center;
    color: black;
    border: 1px solid #efefef;
    padding: 0;
    box-shadow: 2px 2px 5px rgb(0 0 0 / 5%);
    border-radius: 0px;
    overflow: hidden;
    position: relative;
    margin-left: 5%;

}


.wpd-header-address:nth-child(1) {
    margin-left: 0;
}

.wpd-header-location {
    font-size: 20px;
    line-height: 20px;
    font-weight: bold;
    background: transparent;
    color: #666;
    padding: 5px 15px 0 15px;
}

.wpd-header-street-address {
    font-size: 12px;
    margin: 5px 10px 0 10px;
}

.wpd-header-phone {
    font-size: 16px;
    margin: 0px 10px 5px 10px;
    font-weight: bold;
}

.wpd-header-street-address a,
.wpd-header-phone a {
    color: #656565;
    display: inline-block;
}

.wpd-header-street-address a:hover,
.wpd-header-phone a:hover {
    color: black;
}


.wpd-header-banner {
    position: absolute;
    background: red;
    width: 100%;
    transform: rotate(25deg);
    top: 15px;
    right: -55px;
    color: white;
    font-size: 12px;
    line-height: 12px;
    padding: 2px;
    display: none;
}


.wpd-header-address-container a {
    text-decoration: none;
}

.wpd-header-address-container a:hover {
    text-decoration: none;
}

#wpd-header-logo img {
    max-height: 125px;
}

#wpd-header-logo {
    margin-right: auto;
}

.wpd-product-sub {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
}

.wpd-product-sub-image img {
    max-height: 50px;
}

.wpd-product-sub-title {
    font-size: 22px;
    line-height: 22px;
    margin-left: 10px;
}

.wpd-product-sub-image a,
.wpd-product-sub-title a {
    color: #656565;
    text-decoration: none;
}


.wpd-product-sub-image a:hover,
.wpd-product-sub-title a:hover {
    color: black;
    text-decoration: none;
}

.wpd-product-sub-image {
    background: #8f8f8f;
    padding: 10px;
    border-radius: 50%;
}

.wpd-product-sub-image:hover {
    background: #cfcfcf;
    padding: 10px;
    border-radius: 50%;
}






.wpd-cart-menu {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    height: 50px;
}

.wpd-cart-menu-icon-container {
    line-height: 24px;
    font-size: 24px;
    height: 36px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.wpd-cart-menu-icon {
    display: flex;
}

.wpd-cart-menu-count-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.wpd-cart-menu-total {
    /*padding-bottom: 5px;*/
    height: 14px;
    font-size: 10px;
    line-height: 10px;
    font-weight: normal;
}

.wpd-cart-menu-count {
    display: block;
    background: yellow;
    padding: 3px;
    border-radius: 25%;
    margin-top: -10px;
    margin-left: 4px;
}

.mega-menu-woo-cart-count {
    display: block;
    color: black;
    font-size: 12px;
    line-height: 12px;
    font-weight: bold;
}

.woocommerce .cart-collaterals .cross-sells ul.products li,
.woocommerce-page .cart-collaterals .cross-sells ul.products li {
    width: 22%
}



/*Now Hiring*/
.wpd-now-hiring {
    color: #ddd;
    background: #E61D25;
    line-height: 30px;
    height: 30px;
    padding: 0 10px 0 10px;
    vertical-align: baseline;
    width: auto;
    display: block;
    text-transform: none;
    text-align: left;
    border: 0;
    border-radius: 0;
    font-family: 'M PLUS 2';
    font-size: 14px;
    font-weight: 700;
    outline: none;
    transition: all 250ms ease-in-out;
}

.wpd-now-hiring:hover,
.wpd-now-hiring:active,
.wpd-now-hiring:focus {
    color: #fff;
    background: #E61D25;
    text-decoration: none;
}


@media (max-width: 768px) {

    #wpd-mobile-locations {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        align-content: center;
        justify-content: flex-start;
        align-items: center;
        position: relative;
    }

    #wpd-mobile-locations > div {
        width: 80%;
    }

    #wpd-mobile-locations .wpd-header-address {
        background: #777;
        border: none;
        overflow: hidden;
        position: relative;
        margin: 20px 0 0 0;
    }

    #wpd-mobile-locations .wpd-header-address:nth-child(2) {
        margin-bottom: 20px;
    }

    #wpd-mobile-locations .wpd-header-street-address a, .wpd-header-phone a {
        color: #000;
    }

    #wpd-mobile-locations .wpd-header-street-address {
        font-size: 15px;
        line-height: 19px;
    }

    #wpd-mobile-locations .wpd-header-phone {
        font-size: 20px;
        line-height: 20px;
        margin: 10px;
    }

    #wpd-mobile-locations .wpd-header-banner {
        right: -95px;
        top: 20px;
    }

    #wpd-mobile-locations .wpd-social-links {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        align-content: center;
        justify-content: center;
        align-items: center;
        gap: 5%;
        background: #444;
        margin-bottom: 20px;
        padding: 10px
    }


    #wpd-mobile-locations .wpd-social-link {
        display: block;
        height: 40px;
        width: 40px;
    }

    #wpd-mobile-locations .wpd-social-link:before {
        content: "";
        background-size: 40px 40px;
        background-repeat: no-repeat;
        width: 40px;
        height: 40px;
        line-height: 40px;
        vertical-align: middle;
        font-size: 40px;
        display: block;
        opacity: .65;
    }

    #wpd-mobile-locations .wpd-social-link-facebook:before {
        background-image: url(//bdmaz.com/wp-content/uploads/icon-white-Facebook.webp);
    }

    #wpd-mobile-locations .wpd-social-link-instagram:before {
        background-image: url(//bdmaz.com/wp-content/uploads/icon-white-Instagram.webp);
    }

    #wpd-mobile-locations .wpd-social-link-tiktok:before {
        background-image: url(//bdmaz.com/wp-content/uploads/icon-white-TikTok.webp);
    }








    .wpd-product-sub-image img {
        max-height: 30px;
    }

    .wpd-product-sub-image {
        padding: 5px;
    }

    .mega-menu-woo-cart-count {
        display: inline-block;
        color: inherit;
        font-size: inherit;
        line-height: inherit;
        font-weight: inherit;
        margin-left: 8px;
    }
}








